# Print timer configuration
tellraw @s {"color":"aqua","text":"[AT] Current timer configuration:"}

# Mode
execute if score mode at_s_state matches 1 run tellraw @s [{"color":"#589f9f","text":"*Timer mode: "},{"color":"aqua","text":"UP"}]
execute if score mode at_s_state matches 2 run tellraw @s [{"color":"#589f9f","text":"*Timer mode: "},{"color":"aqua","text":"DOWN"}]

# Shown
execute if score visibility at_s_state matches 0 run tellraw @s [{"color":"#589f9f","text":"*Visibility: "},{"color":"aqua","text":"hidden"}]
execute if score visibility at_s_state matches 1 run tellraw @s [{"color":"#589f9f","text":"*Visibility: "},{"color":"aqua","text":"shown"}]

# Triggers
execute if score trigger at_s_state matches 0 run tellraw @s [{"color":"#589f9f","text":"*Triggers: "},{"color":"aqua","text":"disabled"}]
execute if score trigger at_s_state matches 1 run tellraw @s [{"color":"#589f9f","text":"*Triggers: "},{"color":"aqua","text":"enabled"}]

# Render type
execute if score render at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"colons and zeros [CAZ]"}]
execute if score render at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"spaces / specifiers and zeros [SAZ]"}]
execute if score render at_s_config matches 2 run tellraw @s [{"color":"#589f9f","text":"Render type: "},{"color":"aqua","text":"spaces / specifiers no zeros [SNZ]"}]

# Style type
execute if score style at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Style type: "},{"color":"aqua","text":"static"}]
execute if score style at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Style type: "},{"color":"aqua","text":"animated"}]


# STATIC
# Static / primary color
execute if score style at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary color: "},{"color":"aqua","nbt":"at.configuration.style.color1","storage":"animated-timer:data"}]

# Static / primary bold
execute if score style at_s_config matches 0 if score static_bold1 at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary bold: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 0 if score static_bold1 at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Primary bold: "},{"color":"aqua","text":"true"}]

# Static / primary italic
execute if score style at_s_config matches 0 if score static_italic1 at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Primary italic: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 0 if score static_italic1 at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Primary italic: "},{"color":"aqua","text":"true"}]

# Static / secondary color
execute if score style at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary color: "},{"color":"aqua","nbt":"at.configuration.style.color2","storage":"animated-timer:data"}]

# Static / secondary bold
execute if score style at_s_config matches 0 if score static_bold2 at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary bold: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 0 if score static_bold2 at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Secondary bold: "},{"color":"aqua","text":"true"}]

# Static / secondary italic
execute if score style at_s_config matches 0 if score static_italic2 at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Secondary italic: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 0 if score static_italic2 at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Secondary italic: "},{"color":"aqua","text":"true"}]


# ANIMATED
# Animated / animation
execute if score style at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Animation: "},{"color":"aqua","nbt":"at.configuration.style.animation","storage":"animated-timer:data"}]

# Animated / bold
execute if score style at_s_config matches 1 if score animated_bold at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Bold: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 1 if score animated_bold at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Bold: "},{"color":"aqua","text":"true"}]

# Animated / italic
execute if score style at_s_config matches 1 if score animated_italic at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Italic: "},{"color":"aqua","text":"false"}]
execute if score style at_s_config matches 1 if score animated_italic at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Italic: "},{"color":"aqua","text":"true"}]

# Animated / speed
execute if score style at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Speed (ticks): "},{"color":"aqua","score":{"name":"animated_speed","objective":"at_s_config"}}]

# Animated / direction
execute if score style at_s_config matches 1 if score animated_direction at_s_config matches 0 run tellraw @s [{"color":"#589f9f","text":"Direction: "},{"color":"aqua","text":"left-to-right"}]
execute if score style at_s_config matches 1 if score animated_direction at_s_config matches 1 run tellraw @s [{"color":"#589f9f","text":"Direction: "},{"color":"aqua","text":"right-to-left"}]


tellraw @s {"color":"#589f9f","text":"Settings that start with * are excluded from profiles."}
