# Try loading animation data from storage; store success (verify if animation exists)
$execute store success score anmload at_t_interact if score style at_s_config matches 1 run data get storage animated-timer:data at.animations.$(name).count

# Write animation name to configuration
$execute if score style at_s_config matches 1 if score anmload at_t_interact matches 1 run data modify storage animated-timer:data at.configuration.style.animation set value "$(name)"

# Initialize animation
execute if score style at_s_config matches 1 if score anmload at_t_interact matches 1 run function at-abar:init

# Print success
$execute if score style at_s_config matches 1 if score anmload at_t_interact matches 1 run tellraw @s {"color":"aqua","text":"[AT] Animation $(name) is now active"}

# Print error message
$execute if score style at_s_config matches 1 if score anmload at_t_interact matches 0 run tellraw @s {"color":"red","text":"[AT] Could not configure $(name); this animation does not exist"}
